<?php
/*
 * Author: Etienne Gauthier (etienne_sf@sourceforge.net)
 * 
 * Receive a picture uploaded by the jupload.php script (through the JUpload applet)
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauhthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) { die('Not in Coppermine...');}
if (!defined('JUPLOAD_PHP')) { die('Not in Jupload...');}

/*
echo <<<EOS
<form name="ajax_test">
<input name="a" type="text" value="modified 2">
</form>
  
  <script language="javascript">
  var texte = 'Salut';
  alert("Ah ah!");
  
  //It's apparently not possible to call the javascript coming from here.
  function salut() {
  	alert('dans salut!');
  } 
  </script>
echo <<<EOS
alert('salut 2!');
EOS
;
*/


if (!GALLERY_ADMIN_MODE) {
	//This should not arrive, as this function is only called if we are in this mode, so this is just a 
	//double-check and I directly call the cpg_die method. 
	echo("alert('Internal error in ajax_list_album_of_a_category.php');");
} else {
	//We clear the current output, as the output of this script will contain only some javascript commands.
	ob_end_clean();
	header('Content-Type: text/plain; charset="UTF-8');
	ob_start();  //Flush is done by jupload.php	
	
	echo("//category: $category\n");
	echo("document.forms.form_album.category.value=$category;\n");
	
	//The line below is for debug only.	
	//echo("alert($category);\n");	

	//First: empty the album list
	echo ("document.forms.form_album.album.length = 0;\n");
	echo ("document.forms.form_album.album.options[0]=new Option('" 
			. prepare_js_string($lang_upload_php['select_album'])
			. "', '');\n");
	
	//Then: fill it.
	
	//jupload.php already checked that the $category is correct.
	$result = cpg_db_query(
			" SELECT aid, title, description " .
			" FROM {$CONFIG['TABLE_ALBUMS']} " .
			" WHERE category = $category " .
			" ORDER BY UPPER(title)"
			);
	$i=0;
	while ($row = mysql_fetch_array($result)) {
		$i = $i + 1;
		echo ("document.forms.form_album.album.options[$i]=new Option('"
			. prepare_js_string($row['title']) 
			. "', '"
			. $row['aid'] 
			. "');\n");
		echo ("description['"
			. $row['aid'] 
			. "'] = '"
			. prepare_js_string($row['description']) 
			. "';\n");
	}
}

